Magick++: Magick::ImagePerceptualHash Class Reference

Magick++ 7.0.10

Public Member Functions | List of all members
Magick::ImagePerceptualHash Class Reference

`#include <Statistic.h>`

## Public Member Functions
| ImagePerceptualHash (void)
| ImagePerceptualHash (const ImagePerceptualHash &imagePerceptualHash_)
| ImagePerceptualHash (const std::string &hash_)
| ~ImagePerceptualHash (void)
| operator std::string () const
ChannelPerceptualHash | channel (const PixelChannel channel_) const
bool | isValid () const
double | sumSquaredDifferences (const ImagePerceptualHash &channelPerceptualHash_)
| ImagePerceptualHash (const Image &image_)

## Detailed Description

Definition at line 243 of file Statistic.h.

## Constructor & Destructor Documentation

## ◆ ImagePerceptualHash() [1/4]

Magick::ImagePerceptualHash::ImagePerceptualHash | ( | void |  | ) |

Definition at line 480 of file Statistic.cpp.

## ◆ ImagePerceptualHash() [2/4]

Magick::ImagePerceptualHash::ImagePerceptualHash | ( | const ImagePerceptualHash & | imagePerceptualHash_ | ) |

Definition at line 485 of file Statistic.cpp.

## ◆ ImagePerceptualHash() [3/4]

Magick::ImagePerceptualHash::ImagePerceptualHash | ( | const std::string & | hash_ | ) |

Definition at line 491 of file Statistic.cpp.

## ◆ ~ImagePerceptualHash()

Magick::ImagePerceptualHash::~ImagePerceptualHash | ( | void |  | ) |

Definition at line 505 of file Statistic.cpp.

## ◆ ImagePerceptualHash() [4/4]

Magick::ImagePerceptualHash::ImagePerceptualHash | ( | const Image & | image_ | ) |

Definition at line 570 of file Statistic.cpp.

References Magick::Image::constImage(), GetPPException, Magick::Image::quiet(), and ThrowPPException.

## Member Function Documentation

## ◆ channel()

Magick::ChannelPerceptualHash Magick::ImagePerceptualHash::channel | ( | const PixelChannel | channel_ | ) | const

Definition at line 519 of file Statistic.cpp.

## ◆ isValid()

bool Magick::ImagePerceptualHash::isValid | ( | void |  | ) | const

Definition at line 531 of file Statistic.cpp.

Referenced by sumSquaredDifferences().

## ◆ operator std::string()

Magick::ImagePerceptualHash::operator std::string | ( |  | ) | const

Definition at line 509 of file Statistic.cpp.

## ◆ sumSquaredDifferences()

double Magick::ImagePerceptualHash::sumSquaredDifferences | ( | const ImagePerceptualHash & | channelPerceptualHash_ | ) |

Definition at line 548 of file Statistic.cpp.

References isValid().

The documentation for this class was generated from the following files:

- Statistic.h
- Statistic.cpp